ABI version 20.0 issues


[ 53.241] ================ WARNING WARNING WARNING WARNING ================
[ 53.241] This server has a video driver ABI version of 20.0 that is not
supported by this NVIDIA driver. Please check
http://www.nvidia.com/ for driver updates or downgrade to an X
server with a supported driver ABI.
[ 53.241] =================================================================
[ 53.241] (EE) NVIDIA: Use the -ignoreABI option to override this check.
[ 53.241] (II) UnloadModule: “nvidia”
[ 53.241] (II) Unloading nvidias
[ 53.241] (EE) Failed to load module “nvidia” (module requirement mismatch, 0)

The above error says it all. I searched the form for any news on this issue, which I stumbled into when I upgraded to fedora 23. The only work around is to downgrade to Xorg 1.17 from 1.18 and wait for the nvidia developers to release a new driver. Can anyone at nvidia shed light on how long the wait will be for the new driver to be released?

Thanks.

Support for the new ABI will be in the next round of releases from the various release branches. I can’t comment on the timeframe for when each driver will be released, though. I apologize for the delay in getting support for the new server ready.

Thanks for the quick replay Aaron. There’s a whole community of linux users out there chopping at the bit for the next release.

Cheers.

Drivers 352.63, 340.96 and 304.131 have been released which all support X.org 1.18.

Hello, I can’t wait for Xorg1.18 358.XX branch release, with g-sync issues fixed.
Thank you NVIDIA for your reactivity.

Congrats!
We’ll just stay on xorg-server 1.17.4 till then :)

Crap, who’s going to release our shiny Vulkan drivers this year?

NVIDIA 358.16 is out

Can you please add a download link?

http://us.download.nvidia.com/XFree86/Linux-x86_64/358.16/NVIDIA-Linux-x86_64-358.16.run
http://us.download.nvidia.com/XFree86/Linux-x86_64/358.16/NVIDIA-Linux-x86_64-358.16-no-compat32.run
http://us.download.nvidia.com/XFree86/Linux-x86/358.16/NVIDIA-Linux-x86-358.16.run

http://www.nvidia.com/object/unix.html
ftp://download.nvidia.com/XFree86/